Create a new customer

  • The API supports the creation of Druva Provisioned customers.
  • If no attributes are specified, an MSC Provisioned managed customer is created by default.
  • The only supported attributes are licenseManagedAllowed and dataAccessAllowed. Providing any other attributes will result in an error.
  • For dataAccessAllowed, the only supported value is 1 (Managed).
  • This is an asynchronous operation. Upon initiation, a taskID is generated and can be retrieved from the success response. Use this taskID with the 'Get Task Details' API to track the progress of the operation.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specify the details for a new customer.

string
required

Specify the account name for the customer. Account name cannot be changed after creation. Example - 'Druva'

string
required

Specify the address for the customer. Example - '213 Derrick Street Boston, MA 02130 USA'

string
required

Specify the organization name for the customer. It should be unique across all customers of Druva. Example - 'Druva'

string
required
  • Specify the phone number for the customer. Example - '12345678910'
    • Maximum length can be 30.
    • The country code must be prefixed with a '+' sign.
tenantAdmins
array of int64s

Specify the IDs of tenant admins assigned to the customers. You can get tenant admin IDs using 'List admins' API. Example - [1]

tenantAdmins
features
array of objects

Specify the features supported at Druva MSP customer level.

features
attributes
array of objects

Specify the attributes supported at Druva MSP customer level.

attributes
Headers
string
required

Specify the Bearer access token

Responses

400

Bad Request

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json